Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-1092

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2011-1092
Last Modified 20 Oct 2011 10:52:52
Published 15 Mar 2011 01:55:04
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2011-1092

Summary

Integer overflow in ext/shmop/shmop.c in PHP before 5.3.6 allows context-dependent attackers to cause a denial of service (crash) and possibly read sensitive memory via a large third argument to the shmop_read function.

Vulnerable Systems

Application

  • Php 1.0

  • Php 2.0

  • Php 2.0b10

  • Php 3.0

  • Php 3.0.1

  • Php 3.0.10

  • Php 3.0.11

  • Php 3.0.12

  • Php 3.0.13

  • Php 3.0.14

  • Php 3.0.15

  • Php 3.0.16

  • Php 3.0.17

  • Php 3.0.18

  • Php 3.0.2

  • Php 3.0.3

  • Php 3.0.4

  • Php 3.0.5

  • Php 3.0.6

  • Php 3.0.7

  • Php 3.0.8

  • Php 3.0.9

  • Php 4.0

  • Php 4.0.0

  • Php 4.0.1

  • Php 4.0.2

  • Php 4.0.3

  • Php 4.0.4

  • Php 4.0.5

  • Php 4.0.6

  • Php 4.0.7

  • Php 4.1.0

  • Php 4.1.1

  • Php 4.1.2

  • Php 4.1.3

  • Php 4.2

  • Php 4.2.0

  • Php 4.2.1

  • Php 4.2.2

  • Php 4.2.3

  • Php 4.2.4

  • Php 4.3

  • Php 4.3.0

  • Php 4.3.1

  • Php 4.3.10

  • Php 4.3.11

  • Php 4.3.2

  • Php 4.3.3

  • Php 4.3.4

  • Php 4.3.5

  • Php 4.3.6

  • Php 4.3.7

  • Php 4.3.8

  • Php 4.3.9

  • Php 4.4.0

  • Php 4.4.1

  • Php 4.4.2

  • Php 4.4.3

  • Php 4.4.4

  • Php 4.4.5

  • Php 4.4.6

  • Php 4.4.7

  • Php 4.4.8

  • Php 4.4.9

  • Php 5.0.0

  • Php 5.0.1

  • Php 5.0.2

  • Php 5.0.3

  • Php 5.0.4

  • Php 5.0.5

  • Php 5.1.0

  • Php 5.1.1

  • Php 5.1.2

  • Php 5.1.3

  • Php 5.1.4

  • Php 5.1.5

  • Php 5.1.6

  • Php 5.2.0

  • Php 5.2.1

  • Php 5.2.10

  • Php 5.2.11

  • Php 5.2.12

  • Php 5.2.13

  • Php 5.2.14

  • Php 5.2.15

  • Php 5.2.16

  • Php 5.2.17

  • Php 5.2.2

  • Php 5.2.3

  • Php 5.2.4

  • Php 5.2.5

  • Php 5.2.6

  • Php 5.2.7

  • Php 5.2.8

  • Php 5.2.9

  • Php 5.3.0

  • Php 5.3.1

  • Php 5.3.2

  • Php 5.3.3

  • Php 5.3.4

  • Php 5.3.5


References

MLIST - [oss-security] 20110308 CVE request, php's shm

MLIST - [oss-security] 20110308 Re: CVE request, php's shm

CONFIRM - http://svn.php.net/viewvc/php/php-src/branches/PHP_5_3/ext/shmop/shmop.c?r1=306939&r2=309018&pathrev=309018

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=683183

XF - php-shmopread-overflow(65988)

VUPEN - ADV-2011-0744

BID - 46786

CONFIRM - http://www.php.net/releases/5_3_6.php

CONFIRM - http://www.php.net/ChangeLog-5.php

CONFIRM - http://www.php.net/archive/2011.php

MANDRIVA - MDVSA-2011:053

MANDRIVA - MDVSA-2011:052

EXPLOIT-DB - 16966

CONFIRM - http://support.apple.com/kb/HT5002

SREASON - 8130

APPLE - APPLE-SA-2011-10-12-3

CONFIRM - http://bugs.php.net/bug.php?id=54193

Related Patches

Apple 2011-10-12 Mac OS X 10.7.2 Combo Update

Apple 2011-10-12 Mac OS X Server 10.7.2 Update

Apple 2011-10-12 Mac OS X 10.7.2 Update

Apple 2011-10-12 Mac OS X Server 10.7.2 Combo Update


Last Updated: 27 May 2016 10:56:08